com.tibco.n2.service.adapter.config

## Class ResourceFactory

- java.lang.Object
- - com.tibco.n2.service.adapter.config.ResourceFactory

- All Implemented Interfaces:
    IResourceFactory

      public class ResourceFactory
      extends java.lang.Object
      implements IResourceFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.services.BusinessDataServicesAdminService` | `getBDSAdminService()`
    `com.tibco.bds.api.services.BusinessDataServices` | `getBDSPublicService()`
    `com.tibco.n2.dac.api.services.BusinessDeadlineService` | `getBusinessDeadlineService()`
    `com.tibco.n2.busserv.api.services.BusinessService` | `getBusinessService()`
    `com.tibco.n2.dac.api.services.CalendarService` | `getCalendarService()`
    `com.tibco.n2.wp.api.services.ChannelBusService` | `getChannelBusService()`
    `com.tibco.n2.de.api.services.DirectoryService` | `getDirectoryService()`
    `com.tibco.bds.api.services.DocumentService` | `getDocumentService()`
    `com.tibco.n2.de.api.services.EntityResolverPrivateService` | `getEntityResolverPrivateService()`
    `com.tibco.n2.de.api.services.EntityResolverService` | `getEntityResolverService()`
    `com.tibco.n2.ec.api.services.EventCollectorAuditService` | `getEventCollectorAuditService()`
    `com.tibco.n2.ec.api.services.EventCollectorManagementService` | `getEventCollectorManagementService()`
    `com.tibco.n2.ec.api.services.EventCollectorMeasuresService` | `getEventCollectorMeasuresService()`
    `com.tibco.n2.ec.api.services.EventCollectorQueryService` | `getEventCollectorQueryService()`
    `com.tibco.n2.ec.api.services.EventCollectorReportService` | `getEventCollectorReportService()`
    `com.tibco.n2.ec.api.services.EventCollectorUpdateService` | `getEventCollectorUpdateService()`
    `com.tibco.n2.de.api.services.ExporterService` | `getExporterService()`
    `com.tibco.n2.brm.api.services.OrganisationalEntityConfigService` | `getOrganisationalEntityConfigService()`
    `com.tibco.n2.de.api.services.OrgModelService` | `getOrgModelService()`
    `com.tibco.n2.de.api.services.OrgResourceService` | `getOrgResourceService()`
    `com.tibco.n2.pfe.api.services.PageFlowService` | `getPageFlowService()`
    `com.tibco.n2.process.management.api.ProcessManagerService` | `getProcessManagerService()`
    `com.tibco.n2.de.api.services.ResourceQueryService` | `getResourceQueryService()`
    `com.tibco.n2.de.api.services.SecurityService` | `getSecurityService()`
    `com.tibco.n2.de.api.services.UserSettingsService` | `getUserSettingsService()`
    `com.tibco.n2.dac.api.services.WorkCalService` | `getWorkCalService()`
    `com.tibco.n2.brm.api.services.WorkItemManagementService` | `getWorkItemManagementService()`
    `com.tibco.n2.brm.api.services.WorkItemSchedulerService` | `getWorkItemSchedulerService()`
    `com.tibco.n2.brm.api.services.WorkListService` | `getWorkListService()`
    `com.tibco.n2.brm.api.services.WorkModelBrowserService` | `getWorkModelBrowserService()`
    `com.tibco.n2.wp.api.services.WorkPresentationService` | `getWorkPresentationService()`
    `void` | `setBDSAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService bdsAdminService)`
    `void` | `setBDSPublicService(com.tibco.bds.api.services.BusinessDataServices bdsPublicService)`
    `void` | `setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)`
    `void` | `setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)`
    `void` | `setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)`
    `void` | `setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)`
    `void` | `setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)`
    `void` | `setDocumentService(com.tibco.bds.api.services.DocumentService documentService)`
    `void` | `setEntityResolverPrivateService(com.tibco.n2.de.api.services.EntityResolverPrivateService entityResolverPrivateService)`
    `void` | `setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)`
    `void` | `setEventCollectorAuditService(com.tibco.n2.ec.api.services.EventCollectorAuditService eventCollectorAuditService)`
    `void` | `setEventCollectorManagementService(com.tibco.n2.ec.api.services.EventCollectorManagementService eventCollectorManagementService)`
    `void` | `setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)`
    `void` | `setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)`
    `void` | `setEventCollectorReportService(com.tibco.n2.ec.api.services.EventCollectorReportService eventCollectorReportService)`
    `void` | `setEventCollectorUpdateService(com.tibco.n2.ec.api.services.EventCollectorUpdateService eventCollectorUpdateService)`
    `void` | `setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)`
    `void` | `setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)`
    `void` | `setOrgModelService(com.tibco.n2.de.api.services.OrgModelService aService)`
    `void` | `setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)`
    `void` | `setPageFlowService(com.tibco.n2.pfe.api.services.PageFlowService pageFlowService)`
    `void` | `setProcessManagerService(com.tibco.n2.process.management.api.ProcessManagerService processManagerService)`
    `void` | `setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)`
    `void` | `setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)`
    `void` | `setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)`
    `void` | `setWorkCalService(com.tibco.n2.dac.api.services.WorkCalService workCalService)`
    `void` | `setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)`
    `void` | `setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)`
    `void` | `setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)`
    `void` | `setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)`
    `void` | `setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFactory

          public ResourceFactory()

  - ### Method Detail

    - #### getProcessManagerService

          public com.tibco.n2.process.management.api.ProcessManagerService getProcessManagerService()

      Specified by:
        `getProcessManagerService` in interface `IResourceFactory`

    - #### setProcessManagerService

          public void setProcessManagerService(com.tibco.n2.process.management.api.ProcessManagerService processManagerService)

      Specified by:
        `setProcessManagerService` in interface `IResourceFactory`

    - #### getEventCollectorQueryService

          public com.tibco.n2.ec.api.services.EventCollectorQueryService getEventCollectorQueryService()

      Specified by:
        `getEventCollectorQueryService` in interface `IResourceFactory`

    - #### setEventCollectorQueryService

          public void setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)

      Specified by:
        `setEventCollectorQueryService` in interface `IResourceFactory`

    - #### getEventCollectorUpdateService

          public com.tibco.n2.ec.api.services.EventCollectorUpdateService getEventCollectorUpdateService()

      Specified by:
        `getEventCollectorUpdateService` in interface `IResourceFactory`

    - #### setEventCollectorUpdateService

          public void setEventCollectorUpdateService(com.tibco.n2.ec.api.services.EventCollectorUpdateService eventCollectorUpdateService)

      Specified by:
        `setEventCollectorUpdateService` in interface `IResourceFactory`

    - #### getEventCollectorAuditService

          public com.tibco.n2.ec.api.services.EventCollectorAuditService getEventCollectorAuditService()

    - #### setEventCollectorAuditService

          public void setEventCollectorAuditService(com.tibco.n2.ec.api.services.EventCollectorAuditService eventCollectorAuditService)

    - #### getEventCollectorMeasuresService

          public com.tibco.n2.ec.api.services.EventCollectorMeasuresService getEventCollectorMeasuresService()

      Specified by:
        `getEventCollectorMeasuresService` in interface `IResourceFactory`

    - #### setEventCollectorMeasuresService

          public void setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)

      Specified by:
        `setEventCollectorMeasuresService` in interface `IResourceFactory`

    - #### getEventCollectorReportService

          public com.tibco.n2.ec.api.services.EventCollectorReportService getEventCollectorReportService()

      Specified by:
        `getEventCollectorReportService` in interface `IResourceFactory`

    - #### setEventCollectorReportService

          public void setEventCollectorReportService(com.tibco.n2.ec.api.services.EventCollectorReportService eventCollectorReportService)

      Specified by:
        `setEventCollectorReportService` in interface `IResourceFactory`

    - #### setEventCollectorManagementService

          public void setEventCollectorManagementService(com.tibco.n2.ec.api.services.EventCollectorManagementService eventCollectorManagementService)

      Specified by:
        `setEventCollectorManagementService` in interface `IResourceFactory`

    - #### getEventCollectorManagementService

          public com.tibco.n2.ec.api.services.EventCollectorManagementService getEventCollectorManagementService()

      Specified by:
        `getEventCollectorManagementService` in interface `IResourceFactory`

    - #### getWorkModelBrowserService

          public com.tibco.n2.brm.api.services.WorkModelBrowserService getWorkModelBrowserService()

      Specified by:
        `getWorkModelBrowserService` in interface `IResourceFactory`

    - #### setWorkModelBrowserService

          public void setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)

      Specified by:
        `setWorkModelBrowserService` in interface `IResourceFactory`

    - #### getWorkItemManagementService

          public com.tibco.n2.brm.api.services.WorkItemManagementService getWorkItemManagementService()

      Specified by:
        `getWorkItemManagementService` in interface `IResourceFactory`

    - #### setWorkItemManagementService

          public void setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)

      Specified by:
        `setWorkItemManagementService` in interface `IResourceFactory`

    - #### getWorkItemSchedulerService

          public com.tibco.n2.brm.api.services.WorkItemSchedulerService getWorkItemSchedulerService()

      Specified by:
        `getWorkItemSchedulerService` in interface `IResourceFactory`

    - #### setWorkItemSchedulerService

          public void setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)

      Specified by:
        `setWorkItemSchedulerService` in interface `IResourceFactory`

    - #### getCalendarService

          public com.tibco.n2.dac.api.services.CalendarService getCalendarService()

      Specified by:
        `getCalendarService` in interface `IResourceFactory`

    - #### setCalendarService

          public void setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)

      Specified by:
        `setCalendarService` in interface `IResourceFactory`

    - #### getWorkCalService

          public com.tibco.n2.dac.api.services.WorkCalService getWorkCalService()

    - #### setWorkCalService

          public void setWorkCalService(com.tibco.n2.dac.api.services.WorkCalService workCalService)

    - #### getBusinessDeadlineService

          public com.tibco.n2.dac.api.services.BusinessDeadlineService getBusinessDeadlineService()

      Specified by:
        `getBusinessDeadlineService` in interface `IResourceFactory`

    - #### setBusinessDeadlineService

          public void setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)

      Specified by:
        `setBusinessDeadlineService` in interface `IResourceFactory`

    - #### getWorkListService

          public com.tibco.n2.brm.api.services.WorkListService getWorkListService()

      Specified by:
        `getWorkListService` in interface `IResourceFactory`

    - #### setWorkListService

          public void setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)

      Specified by:
        `setWorkListService` in interface `IResourceFactory`

    - #### getOrganisationalEntityConfigService

          public com.tibco.n2.brm.api.services.OrganisationalEntityConfigService getOrganisationalEntityConfigService()

      Specified by:
        `getOrganisationalEntityConfigService` in interface `IResourceFactory`

    - #### setOrganisationalEntityConfigService

          public void setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)

      Specified by:
        `setOrganisationalEntityConfigService` in interface `IResourceFactory`

    - #### getEntityResolverService

          public com.tibco.n2.de.api.services.EntityResolverService getEntityResolverService()

      Specified by:
        `getEntityResolverService` in interface `IResourceFactory`

    - #### setEntityResolverService

          public void setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)

      Specified by:
        `setEntityResolverService` in interface `IResourceFactory`

    - #### getSecurityService

          public com.tibco.n2.de.api.services.SecurityService getSecurityService()

      Specified by:
        `getSecurityService` in interface `IResourceFactory`

    - #### setSecurityService

          public void setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)

      Specified by:
        `setSecurityService` in interface `IResourceFactory`

    - #### getUserSettingsService

          public com.tibco.n2.de.api.services.UserSettingsService getUserSettingsService()

      Specified by:
        `getUserSettingsService` in interface `IResourceFactory`

    - #### setUserSettingsService

          public void setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)

      Specified by:
        `setUserSettingsService` in interface `IResourceFactory`

    - #### getExporterService

          public com.tibco.n2.de.api.services.ExporterService getExporterService()

      Specified by:
        `getExporterService` in interface `IResourceFactory`

    - #### setExporterService

          public void setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)

      Specified by:
        `setExporterService` in interface `IResourceFactory`

    - #### getResourceQueryService

          public com.tibco.n2.de.api.services.ResourceQueryService getResourceQueryService()

      Specified by:
        `getResourceQueryService` in interface `IResourceFactory`

    - #### setResourceQueryService

          public void setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)

      Specified by:
        `setResourceQueryService` in interface `IResourceFactory`

    - #### getWorkPresentationService

          public com.tibco.n2.wp.api.services.WorkPresentationService getWorkPresentationService()

      Specified by:
        `getWorkPresentationService` in interface `IResourceFactory`

    - #### setWorkPresentationService

          public void setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)

      Specified by:
        `setWorkPresentationService` in interface `IResourceFactory`

    - #### getChannelBusService

          public com.tibco.n2.wp.api.services.ChannelBusService getChannelBusService()

      Specified by:
        `getChannelBusService` in interface `IResourceFactory`

    - #### setChannelBusService

          public void setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)

      Specified by:
        `setChannelBusService` in interface `IResourceFactory`

    - #### getPageFlowService

          public com.tibco.n2.pfe.api.services.PageFlowService getPageFlowService()

      Specified by:
        `getPageFlowService` in interface `IResourceFactory`

    - #### setPageFlowService

          public void setPageFlowService(com.tibco.n2.pfe.api.services.PageFlowService pageFlowService)

      Specified by:
        `setPageFlowService` in interface `IResourceFactory`

    - #### getBusinessService

          public com.tibco.n2.busserv.api.services.BusinessService getBusinessService()

      Specified by:
        `getBusinessService` in interface `IResourceFactory`

    - #### setBusinessService

          public void setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)

      Specified by:
        `setBusinessService` in interface `IResourceFactory`

    - #### getOrgResourceService

          public com.tibco.n2.de.api.services.OrgResourceService getOrgResourceService()

      Specified by:
        `getOrgResourceService` in interface `IResourceFactory`

    - #### setOrgResourceService

          public void setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)

      Specified by:
        `setOrgResourceService` in interface `IResourceFactory`

    - #### getOrgModelService

          public com.tibco.n2.de.api.services.OrgModelService getOrgModelService()

      Specified by:
        `getOrgModelService` in interface `IResourceFactory`

    - #### setOrgModelService

          public void setOrgModelService(com.tibco.n2.de.api.services.OrgModelService aService)

      Specified by:
        `setOrgModelService` in interface `IResourceFactory`

    - #### getDirectoryService

          public com.tibco.n2.de.api.services.DirectoryService getDirectoryService()

      Specified by:
        `getDirectoryService` in interface `IResourceFactory`

    - #### setDirectoryService

          public void setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)

      Specified by:
        `setDirectoryService` in interface `IResourceFactory`

    - #### getBDSPublicService

          public com.tibco.bds.api.services.BusinessDataServices getBDSPublicService()

      Specified by:
        `getBDSPublicService` in interface `IResourceFactory`

    - #### setBDSPublicService

          public void setBDSPublicService(com.tibco.bds.api.services.BusinessDataServices bdsPublicService)

      Specified by:
        `setBDSPublicService` in interface `IResourceFactory`

    - #### getBDSAdminService

          public com.tibco.bds.api.services.BusinessDataServicesAdminService getBDSAdminService()

      Specified by:
        `getBDSAdminService` in interface `IResourceFactory`

    - #### setBDSAdminService

          public void setBDSAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService bdsAdminService)

      Specified by:
        `setBDSAdminService` in interface `IResourceFactory`

    - #### getDocumentService

          public com.tibco.bds.api.services.DocumentService getDocumentService()

      Specified by:
        `getDocumentService` in interface `IResourceFactory`

    - #### setDocumentService

          public void setDocumentService(com.tibco.bds.api.services.DocumentService documentService)

      Specified by:
        `setDocumentService` in interface `IResourceFactory`

    - #### getEntityResolverPrivateService

          public com.tibco.n2.de.api.services.EntityResolverPrivateService getEntityResolverPrivateService()

      Specified by:
        `getEntityResolverPrivateService` in interface `IResourceFactory`

    - #### setEntityResolverPrivateService

          public void setEntityResolverPrivateService(com.tibco.n2.de.api.services.EntityResolverPrivateService entityResolverPrivateService)

      Specified by:
        `setEntityResolverPrivateService` in interface `IResourceFactory`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.